## kotlin 1.3.31+~1.0.1+~0.11.12

=== debian/changelog ===
kotlin (1.3.31+~1.0.1+~0.11.12-2) unstable; urgency=medium

  * Rebuild with no source changes.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 20 Nov 2021 08:48:32 +0100

kotlin (1.3.31+~1.0.1+~0.11.12-1) unstable; urgency=medium

  [ Samyak Jain ]
  * Initial release (Closes: #892842).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 04 Jul 2021 23:04:32 +0200
