=== debian/control ===
Source: kotlin
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Samyak Jain <samyak.jn11@gmail.com>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: java
Priority: optional
Build-Depends:
 ant,
 debhelper-compat (=13),
 gradle-debian-helper,
 jflex,
 kotlin,
 libandroid-23-java,
 libasm-java,
 libgradle-android-plugin-java,
 libguava-java,
 libintellij-core-java,
 libintellij-extensions-java,
 libintellij-java-compatibility-java,
 libintellij-jps-model-java,
 libintellij-platform-api-java,
 libintellij-platform-impl-java,
 libintellij-utils-java,
 libjdom2-intellij-java,
 libjdom2-java,
 libjengelman-shadow-java,
 libjetbrains-annotations-java,
 libjline3-java,
 libjna-java,
 libjna-platform-java,
 liblog4j1.2-java,
 liblz4-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-plugin-testing-java,
 libmaven3-core-java,
 libnative-platform-java,
 liboro-java,
 libpicocontainer1-java,
 libproguard-java,
 libprotobuf2-java,
 libstreamex-java,
 libtrove-intellij-java,
 libvavr0-java,
 maven-debian-helper,
 maven-repo-helper,
 openjdk-11-jdk-headless,
 openjdk-8-jdk-headless,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/java-team/kotlin
Vcs-Git: https://salsa.debian.org/java-team/kotlin.git
Homepage: https://kotlinlang.org
Rules-Requires-Root: no

Package: kotlin
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends},
 ant,
 libatinject-jsr330-api-java,
 libgeronimo-annotation-1.3-spec-java,
 libjansi-java,
 libjetbrains-annotations-java,
 libjline3-java,
 libmaven-compiler-plugin-java,
 libmaven-plugin-tools-java,
 libmaven3-core-java,
 libtrove-intellij-java,
 libvavr0-java,
Suggests:
 ${maven:OptionalDepends},
Description: cross-platform, general-purpose programming language
 Kotlin is a cross-platform, statically typed, general-purpose programming
 language with type inference. Kotlin is designed to interoperate fully with
 Java, and the JVM version of its standard library  depends on the Java Class
 Library, but type inference allows its syntax to be more concise.
