=== debian/watch ===
version=4

opts="mode=git" \
  https://github.com/JetBrains/kotlin \
  refs/tags/v?@ANY_VERSION@ \
  group

opts="mode=git, component=coroutines" \
  https://github.com/Kotlin/kotlinx.coroutines \
  refs/tags/v?@ANY_VERSION@ \
  group

opts="mode=git, component=atomicfu" \
  https://github.com/Kotlin/kotlinx.atomicfu \
  refs/tags/v?@ANY_VERSION@ \
  group
