## kotlin 1.3.31+ds1

=== debian/changelog ===
kotlin (1.3.31+ds1-3ubuntu1) resolute; urgency=medium

  * Resolve Java 25 ftbfs (Closes: #1108573):
    - d/control: require intellij-community-idea 183.5153.4-6ubuntu1
      to correctly parse Java 25 version string.
    - d/p/077-kapt-javadoc.patch: adapt KDocCommentKeeper to Java 25
      com.sun.tools javadoc API.
    - d/{rules,control}: do not apply d/p/077-kapt-javadoc.patch
      when building with openjdk-21. Add quilt to b-d.
      This change should be dropped after Java 25 default transition.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 10 Feb 2026 16:44:54 +1300

kotlin (1.3.31+ds1-3) unstable; urgency=medium

  * Revert the temporary FTBFS fixes.
  * Fix run-time compatibility issues with older JREs when built with the
    default JDK (21).
  * Fix CVE-2020-29582: use NIO Files.createTemp*() instead of
    File.createTemp*(). (Closes: #1001037)
  * Promote Standards-Version to 4.7.2 with no changes.
  * Include build.txt in package to fix -version. (Closes: #1101825)

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Mon, 07 Apr 2025 11:37:55 +0000

kotlin (1.3.31+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * Resolve Java 21 FTBFS (Closes: #1057513):
    - d/p/073-abstractlist.patch: add missing methods to the API due to
      the update to source level 8.
    - d/p/074-kapt3.patch: cherry-pick upstream patch to resolve Java 21
      ftbfs due to the jdk.compiler changes.
    - d/control: require updated libasm-java and libintellij-* packages
      to support Java 21.

  [ Julien Plissonneau Duquène ]
  * Promote Standards-Version to 4.7.0 with no changes.
  * Resolve another FTBFS issue: work around the embedded version of
    intellij-core throwing a NPE while resolving the MethodNode class by
    patching the compiler JARs with the current version; also temporarily
    rebuild using Java 11 to work around the embedded ASM not being able to
    parse Java 21 classes.

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Sat, 18 Jan 2025 09:40:56 +0000

kotlin (1.3.31+ds1-1) unstable; urgency=medium

  * Team upload.
  * Repackaged without atomicfu and coroutines

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Feb 2023 12:46:18 +0100

kotlin (1.3.31+~1.0.1+~0.11.12-6) unstable; urgency=medium

  * Team upload.
  * Depend on libkotlinx-atomicfu-java and libkotlinx-coroutines-java
    instead of rebuilding the atomicfu and coroutines components
    (Closes: #1031108)
  * Enabled Android support
  * Removed a debug trace in PlainTextMessageRenderer

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Feb 2023 09:54:44 +0100

kotlin (1.3.31+~1.0.1+~0.11.12-5) unstable; urgency=medium

  * Team upload.
  * Install the 'debian' version of kotlinx-metadata-jvm in the Maven repository
  * Fall back to another tty detection method if jansi CLibrary isn't available
  * No longer install kotlinx-coroutines-core.jar

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Feb 2023 00:58:02 +0100

kotlin (1.3.31+~1.0.1+~0.11.12-4) unstable; urgency=medium

  * Team upload.
  * Disabled Android support
  * Build depend on default-jdk instead of openjdk-8-jdk and openjdk-11-jdk
  * Build depend on libjengelman-shadow-java (>= 4.0.3-3) (required for Java 17)
  * Install artifacts with the 'debian' generic version in the Maven repository
  * Removed 053-drop-iml-files.patch (not required)
  * Track only the final releases

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 01 Feb 2023 11:16:16 +0100

kotlin (1.3.31+~1.0.1+~0.11.12-3) unstable; urgency=medium

  * Team upload.
  * Fixed a compilation error caused by ASM 9.4
  * Fixed the runtime errors with Java 17
  * Build AtomicFU with Java 8 to work around the Java 17 runtime error
  * Install the kotlinx-coroutines-core artifacts from the build directory
  * Link to the unversioned jar of lz4-java
  * No longer call gradle to run the clean rule
  * Depend on gradle-debian-helper (>= 2.4)
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 23 Jan 2023 17:41:07 +0100
