=== debian/control ===
--- 
+++ 
@@ -1,34 +1,39 @@
 Source: kotlin
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Samyak Jain <samyak.jn11@gmail.com>,
  Sunil Mohan Adapa <sunil@medhas.org>,
+ Julien Plissonneau Duquène <sre4ever@free.fr>,
 Section: java
 Priority: optional
 Build-Depends:
  ant,
  debhelper-compat (=13),
- gradle-debian-helper,
+ default-jdk,
+ gradle-debian-helper (>= 2.4~),
  jflex,
  kotlin,
- libandroid-23-java,
- libasm-java,
+ libasm-java (>= 9.6~),
  libgradle-android-plugin-java,
  libguava-java,
- libintellij-core-java,
- libintellij-extensions-java,
+ libintellij-core-java (>= 183.5153.4-6ubuntu1~),
+ libintellij-extensions-java (>= 183.5153.4-6ubuntu1~),
  libintellij-java-compatibility-java,
- libintellij-jps-model-java,
- libintellij-platform-api-java,
- libintellij-platform-impl-java,
- libintellij-utils-java,
+ libintellij-jps-model-java (>= 183.5153.4-6ubuntu1~),
+ libintellij-platform-api-java (>= 183.5153.4-6ubuntu1~),
+ libintellij-platform-impl-java (>= 183.5153.4-6ubuntu1~),
+ libintellij-utils-java (>= 183.5153.4-6ubuntu1~),
+ libjarjar-java,
  libjdom2-intellij-java,
  libjdom2-java,
- libjengelman-shadow-java,
+ libjengelman-shadow-java (>= 4.0.3-3~),
  libjetbrains-annotations-java,
  libjline3-java,
  libjna-java,
  libjna-platform-java,
+ libkotlinx-atomicfu-java,
+ libkotlinx-coroutines-java,
  liblog4j1.2-java,
  liblz4-java,
  libmaven-bundle-plugin-java,
@@ -45,9 +50,8 @@
  libvavr0-java,
  maven-debian-helper,
  maven-repo-helper,
- openjdk-11-jdk-headless,
- openjdk-8-jdk-headless,
-Standards-Version: 4.5.0
+ quilt
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/java-team/kotlin
 Vcs-Git: https://salsa.debian.org/java-team/kotlin.git
 Homepage: https://kotlinlang.org
